#include <cstdio>
#include <iostream>
#include "Olt.h"
#include <iomanip>
#include <cstdio>
#include <iostream>

class Simulator
{
public:
	Simulator::Simulator(Olt _olt, std::vector<Onu> _onus, double _casSimulace);

	void simuluj(void);

	Simulator();
	~Simulator();

	private:
		double casSimulace;
		std::vector<Onu> Onus;		
		uXgtcBurst PonUp[9720];
		DXgtcFrame PonDown;
		Olt olt;	
		double casovaPresnost = 0.00000001286008230452670;
		double aktualniStartTime = 0;
		uint16_t zakladniHodnotaVypisu;
		int vypisZa=0;
		
};